Bug 462583 - scponly is not built with rsync support
scponly is not built with rsync support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scponly (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 06:39 EDT by Aurelien Bompard
Modified: 2009-07-14 10:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:56:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2008-09-17 06:39:58 EDT
Description of problem:
scponly does not allow use of rsync. This can be enabled with the --enable-rsync-compat compilation switch.

rsync support used to be enabled by default but it is no longer the case, the option needs to be added.

Version-Release number of selected component (if applicable):
scponly-4.8-1.fc9

How reproducible:
Always

Steps to Reproduce:
1. Try to connect with rsync on a scponly-enabled account
2. Watch /var/log/secure for the rejection, while the connection is instantly closed
Comment 1 Toshio Ernie Kuratomi 2008-09-17 14:26:01 EDT
There's a couple problems with rsync, unfortunately.

* scponly-4.8 does not work with rsync-3.x.  So at best, we would be introducing an inconsistency between F-8 and other Fedora versions.  There's a fix for this in cvs but:

* rsync was disabled due to security issues:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-6350
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437148
https://bugzilla.redhat.com/show_bug.cgi?id=418201

I looked through the documentation and the Debian bug again and there's conflicting information as to whether we should re-enable this.

From the SECURITY file:
3) NOTE THE FOLLOWING SECURITY RISKS:
   [...]
   -- The following programs use configuration files that might allow the user
      to bypass security restrictions placed on command line arguments:

          svn, svnserve, rsync, and unison

From the scponly author on the Debian bug report:
> We have fairly recently refined the rsync support to disallow starting it as a 
> daemon, and a few other things that could also cause problems, so I believe 
> it won't accept a config file on the command line, etc., and I believe it to 
> be safe at this point.
> 
[...]
> 
> As far as we know, a system secured using the practices set forth in the 
> security guide will be secure.  If there are other best practices that can be 
> added to it, or you have other suggestions and/or comments, please let us 
> know.

Looking at the source code, it looks like they've fixed this issue although I'd need to look at rsync's source code as well to see if there's a way to circumvent the fix.

Since this code path was modified for a security breach I'd rather wait for upstream to release a new version than to rely on a cvs snapshot that could turn out to have further security bugs that need fixing.

That said, I believe that both warren and myself are no longer using scponly for anything.  If you would like to take on maintainership and allocate the time to track upstream's work on this, that would make for a better package overall.
Comment 2 Bug Zapper 2009-06-09 22:44:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:56:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.